#!/usr/bin/bash
# @group: fonts
# @text: Run fc-query on all fonts in package.
# @type: EXTRA

msg="package to make a comprehensive font review."

rpm -q fc-query &> /dev/null || {
    echo "Cannot find fc-query command, install fontconfig $msg"
    exit $FR_FAIL
}
if unpack_rpms; then
    for font in $(find rpms-unpacked -name \*.ttf); do
        echo "----> ${font#.*/}"
        fc-query $font
        echo
    done &> fc-query.log
else
    echo "Cannot unpack rpms!" >&2
    exit $FR_FAIL
fi

echo "Check results in fonts/fc-query.log match spec file"
echo "and fontconfig xml file."
exit $FR_PASS
